class gauges_pan2 extends TemplateElement {
    constructor() {
        super();
        this.location = "interior";
        this.curTime = 0.0;
        this.bNeedUpdate = false;
        this._isConnected = false;
    }
    get templateID() { return "gauges_pan2"; }
    connectedCallback() {
        super.connectedCallback();
        let parsedUrl = new URL(this.getAttribute("Url").toLowerCase());
        let updateLoop = () => {
            if (!this._isConnected)
                return;
            this.Update();
            requestAnimationFrame(updateLoop);
        };
        this._isConnected = true;
        requestAnimationFrame(updateLoop);
    }
    disconnectedCallback() {
    }
    Update() {
		this.updateInstruments();
    }
    /*playInstrumentSound(soundId) {
        if (this.isElectricityAvailable()) {
            Coherent.call("PLAY_INSTRUMENT_SOUND", soundId);
            return true;
        }
        return false;
    }	*/
    updateInstruments() {

       // TAXI LIGHTS CONTROL
       if (SimVar.GetSimVarValue("IS GEAR RETRACTABLE", "Boolean")) {
         var gears_extracted = SimVar.GetSimVarValue("GEAR HANDLE POSITION", "Boolean");
         if (SimVar.GetSimVarValue("LIGHT TAXI", "bool") && !gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", false)
         else if (!SimVar.GetSimVarValue("LIGHT TAXI", "bool") && gears_extracted)
            SimVar.SetSimVarValue("K:TOGGLE_TAXI_LIGHTS", "bool", true)
       }


		/* ANTS_BENDIX_UNKNOWNGAUGE_0 */
		var ants_Bendix_unknownGauge_0 = this.querySelector("#ants_Bendix_unknownGauge_0");
		if (typeof ants_Bendix_unknownGauge_0 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    ants_Bendix_unknownGauge_0.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_1 */
		var ants_Bendix_unknownGauge_1 = this.querySelector("#ants_Bendix_unknownGauge_1");
		if (typeof ants_Bendix_unknownGauge_1 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    ants_Bendix_unknownGauge_1.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_2 */
		var ants_Bendix_unknownGauge_2 = this.querySelector("#ants_Bendix_unknownGauge_2");
		if (typeof ants_Bendix_unknownGauge_2 !== "undefined") {
		  var transform = '';

		  if (transform != '')
		    ants_Bendix_unknownGauge_2.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_R_3 */
		var ants_Bendix_Ants_Bendix_R_3 = this.querySelector("#ants_Bendix_Ants_Bendix_R_3");
		if (typeof ants_Bendix_Ants_Bendix_R_3 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_R_3.style.display = ( 1 > 0 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_R_3.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_SBY_4 */
		var ants_Bendix_Ants_Bendix_SBY_4 = this.querySelector("#ants_Bendix_Ants_Bendix_SBY_4");
		if (typeof ants_Bendix_Ants_Bendix_SBY_4 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_SBY_4.style.display = ( 1 == 1 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_SBY_4.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_GND_5 */
		var ants_Bendix_Ants_Bendix_GND_5 = this.querySelector("#ants_Bendix_Ants_Bendix_GND_5");
		if (typeof ants_Bendix_Ants_Bendix_GND_5 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_GND_5.style.display = ( 1 == 3 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_GND_5.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_ON_6 */
		var ants_Bendix_Ants_Bendix_ON_6 = this.querySelector("#ants_Bendix_Ants_Bendix_ON_6");
		if (typeof ants_Bendix_Ants_Bendix_ON_6 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_ON_6.style.display = ( 1 == 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_ON_6.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_ALT_7 */
		var ants_Bendix_Ants_Bendix_ALT_7 = this.querySelector("#ants_Bendix_Ants_Bendix_ALT_7");
		if (typeof ants_Bendix_Ants_Bendix_ALT_7 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_ALT_7.style.display = ( 1 == 5 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_ALT_7.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_FL_8 */
		var ants_Bendix_Ants_Bendix_FL_8 = this.querySelector("#ants_Bendix_Ants_Bendix_FL_8");
		if (typeof ants_Bendix_Ants_Bendix_FL_8 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_FL_8.style.display = ( ( 1 == 3 ) || ( 1 == 5 ) ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_FL_8.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_9 */
		var ants_Bendix_unknownGauge_9 = this.querySelector("#ants_Bendix_unknownGauge_9");
		if (typeof ants_Bendix_unknownGauge_9 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_9.style.display = ( ( 1 == 3 ) || ( 1 == 5 ) ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_9.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_10 */
		var ants_Bendix_unknownGauge_10 = this.querySelector("#ants_Bendix_unknownGauge_10");
		if (typeof ants_Bendix_unknownGauge_10 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_10.style.display = ( ( 1 == 3 ) || ( 1 == 5 ) ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_10.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_11 */
		var ants_Bendix_unknownGauge_11 = this.querySelector("#ants_Bendix_unknownGauge_11");
		if (typeof ants_Bendix_unknownGauge_11 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_11.style.display = ( ( 1 == 3 ) || ( 1 == 5 ) ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_11.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_12 */
		var ants_Bendix_unknownGauge_12 = this.querySelector("#ants_Bendix_unknownGauge_12");
		if (typeof ants_Bendix_unknownGauge_12 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_12.style.display = ( 1 > 0 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_12.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_13 */
		var ants_Bendix_unknownGauge_13 = this.querySelector("#ants_Bendix_unknownGauge_13");
		if (typeof ants_Bendix_unknownGauge_13 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_13.style.display = ( 1 > 0 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_13.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_14 */
		var ants_Bendix_unknownGauge_14 = this.querySelector("#ants_Bendix_unknownGauge_14");
		if (typeof ants_Bendix_unknownGauge_14 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_14.style.display = ( 1 > 0 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_14.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_15 */
		var ants_Bendix_unknownGauge_15 = this.querySelector("#ants_Bendix_unknownGauge_15");
		if (typeof ants_Bendix_unknownGauge_15 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_15.style.display = ( 1 > 0 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_15.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_TEST_16 */
		var ants_Bendix_Ants_Bendix_TEST_16 = this.querySelector("#ants_Bendix_Ants_Bendix_TEST_16");
		if (typeof ants_Bendix_Ants_Bendix_TEST_16 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_TEST_16.style.display = ( 1 == 2 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_TEST_16.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_NUMBER1_17 */
		var ants_Bendix_Ants_Number1_17 = this.querySelector("#ants_Bendix_Ants_Number1_17");
		if (typeof ants_Bendix_Ants_Number1_17 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Number1_17.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Number1_17.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_18 */
		var ants_Bendix_unknownGauge_18 = this.querySelector("#ants_Bendix_unknownGauge_18");
		if (typeof ants_Bendix_unknownGauge_18 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_18.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_18.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_19 */
		var ants_Bendix_unknownGauge_19 = this.querySelector("#ants_Bendix_unknownGauge_19");
		if (typeof ants_Bendix_unknownGauge_19 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_19.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_19.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_20 */
		var ants_Bendix_unknownGauge_20 = this.querySelector("#ants_Bendix_unknownGauge_20");
		if (typeof ants_Bendix_unknownGauge_20 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_20.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_20.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_21 */
		var ants_Bendix_unknownGauge_21 = this.querySelector("#ants_Bendix_unknownGauge_21");
		if (typeof ants_Bendix_unknownGauge_21 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_21.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_21.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_DOT_22 */
		var ants_Bendix_Ants_Bendix_Dot_22 = this.querySelector("#ants_Bendix_Ants_Bendix_Dot_22");
		if (typeof ants_Bendix_Ants_Bendix_Dot_22 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_Dot_22.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_Dot_22.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_NUMBER1_23 */
		var ants_Bendix_Ants_Number1_23 = this.querySelector("#ants_Bendix_Ants_Number1_23");
		if (typeof ants_Bendix_Ants_Number1_23 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Number1_23.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Number1_23.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_24 */
		var ants_Bendix_unknownGauge_24 = this.querySelector("#ants_Bendix_unknownGauge_24");
		if (typeof ants_Bendix_unknownGauge_24 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_24.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_24.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_25 */
		var ants_Bendix_unknownGauge_25 = this.querySelector("#ants_Bendix_unknownGauge_25");
		if (typeof ants_Bendix_unknownGauge_25 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_25.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_25.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_26 */
		var ants_Bendix_unknownGauge_26 = this.querySelector("#ants_Bendix_unknownGauge_26");
		if (typeof ants_Bendix_unknownGauge_26 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_26.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_26.style.transform = transform; 

		}

		/* ANTS_BENDIX_UNKNOWNGAUGE_27 */
		var ants_Bendix_unknownGauge_27 = this.querySelector("#ants_Bendix_unknownGauge_27");
		if (typeof ants_Bendix_unknownGauge_27 !== "undefined") {
		  var transform = '';

		  ants_Bendix_unknownGauge_27.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_unknownGauge_27.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_DOT_28 */
		var ants_Bendix_Ants_Bendix_Dot_28 = this.querySelector("#ants_Bendix_Ants_Bendix_Dot_28");
		if (typeof ants_Bendix_Ants_Bendix_Dot_28 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_Dot_28.style.display = ( 1 > 4 ) & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_Dot_28.style.transform = transform; 

		}

		/* ANTS_BENDIX_ANTS_BENDIX_TESTCOMMS_29 */
		var ants_Bendix_Ants_Bendix_TESTComms_29 = this.querySelector("#ants_Bendix_Ants_Bendix_TESTComms_29");
		if (typeof ants_Bendix_Ants_Bendix_TESTComms_29 !== "undefined") {
		  var transform = '';

		  ants_Bendix_Ants_Bendix_TESTComms_29.style.display = ( 1 > 4 ) & 1 & 1 ? "block" : "none";

		  if (transform != '')
		    ants_Bendix_Ants_Bendix_TESTComms_29.style.transform = transform; 

		}

    }
}
registerLivery("gauges_pan2-element", gauges_pan2);
